com.r3corda.node.services.network / NetworkMapService / SubscribeRequest

# SubscribeRequest

`class SubscribeRequest : NetworkMapRequestMessage`

### Constructors

<init> | `SubscribeRequest(subscribe: Boolean, replyTo: MessageRecipients, sessionID: Long)`

### Properties

sessionID | `val sessionID: Long`
subscribe | `val subscribe: Boolean`

### Inherited Properties

replyTo | `val replyTo: MessageRecipients`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`